# Cloudflare Whitelist

Automatically add firewall whitelist rules for users who login.

## Setup

### Cloudflare API.

Get your Cloudflare API key from the My Profile page in Cloudflare.

You will want the `Global API Key`.

### Drupal

You need to add the following config to your `settings.php` file.

The email is the email address you use to login in to Cloudflare.

```php
  $conf['cloudflare_whitelist_auth_email'] = 'example@example.com';
  $conf['cloudflare_whitelist_auth_key'] = 'XXXXXXXXX9999999';
```
